package xyz.mcutils.common;

import lombok.SneakyThrows;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

public class DateUtils {
    private static final SimpleDateFormat FORMATTER = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss.SSSXXX", Locale.ENGLISH);

    /**
     * Converts a string to a date.
     *
     * @param date The date to convert
     * @return The date
     */
    @SneakyThrows
    public static Date stringToDate(String date) {
        return FORMATTER.parse(date);
    }
}
